[youtubei.js](../../../README.md) / [Misc](../README.md) / EmojiRun

# Class: EmojiRun

## Implements

- `Run`

## Constructors

### new EmojiRun()

> **new EmojiRun**(`data`): [`EmojiRun`](EmojiRun.md)

#### Parameters

• **data**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)

#### Returns

[`EmojiRun`](EmojiRun.md)

#### Defined in

[src/parser/classes/misc/EmojiRun.ts:15](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/EmojiRun.ts#L15)

## Properties

### emoji

> **emoji**: `object`

#### emoji\_id

> **emoji\_id**: `string`

#### image

> **image**: [`Thumbnail`](Thumbnail.md)[]

#### is\_custom

> **is\_custom**: `boolean`

#### search\_terms

> **search\_terms**: `string`[]

#### shortcuts

> **shortcuts**: `string`[]

#### Defined in

[src/parser/classes/misc/EmojiRun.ts:7](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/EmojiRun.ts#L7)

***

### text

> **text**: `string`

#### Implementation of

`Run.text`

#### Defined in

[src/parser/classes/misc/EmojiRun.ts:6](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/EmojiRun.ts#L6)

## Methods

### toHTML()

> **toHTML**(): `string`

#### Returns

`string`

#### Implementation of

`Run.toHTML`

#### Defined in

[src/parser/classes/misc/EmojiRun.ts:35](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/EmojiRun.ts#L35)

***

### toString()

> **toString**(): `string`

#### Returns

`string`

#### Implementation of

`Run.toString`

#### Defined in

[src/parser/classes/misc/EmojiRun.ts:31](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/EmojiRun.ts#L31)
